%{!?tcl_version: %define tcl_version 8.5}
%{!?tcl_sitearch: %define tcl_sitearch %{_libdir}/tcl%{tcl_version}}

Name:           amsn
Version:        0.98.4
Release:        4%{?dist}
Summary:        MSN Messenger clone for Linux, Mac and Windows

Group:          Applications/Internet
License:        GPLv2
URL:            http://www.amsn-project.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.bz2
Patch0:		amsn-0.98.1-usesnack.patch
Patch1:		amsn-0.98.4-useV4L2.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils, tk-devel, which, libpng-devel, libjpeg-devel
BuildRequires:  farsight2-devel
BuildRequires:  gupnp-igd-devel
BuildRequires:  libv4l-devel
BuildRequires:  tcl(abi) = %{tcl_version}
Requires:       tcl(abi) = %{tcl_version}
Requires:	tcl-snack
Requires:       tcltls, tclsoap, bwidget, tkdnd, xdg-utils
Requires:	tktray

%description
This is an MSN Messenger clone for Unix, Windows, and Macintosh.
It is written in tcl/tk and supports filetransfers, webcam, etc.

%package plugins
Summary: Plugins for aMSN
Group: Applications/Internet
URL: http://amsn.sourceforge.net/plugins.php
Requires: %{name} = %{version}-%{release}

%description plugins
Extra plugins for amsn to enable drawing Ink, send and receive Nudges,
view the last lines of a recent chat when opening a new one and create
snapshots with your webcam to use as your display picture.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

rm -r utils/BWidget-1.9.0
rm -r skins/default/winicons
rm -r plugins/music/MusicWin
rm plugins/amsnplus/snapshot

# for webcam to work these paths need to be added because we move libs around
%{__sed} -i 's#\.\./libng/plugins#%{tcl_sitearch}/capture/libng/plugins#' utils/linux/capture/libng/grab-ng.c
%{__sed} -i 's#\.\./libng/contrib-plugins#%{tcl_sitearch}/capture/libng/contrib-plugins#' utils/linux/capture/libng/grab-ng.c

%{__sed} -i 's# utils/BWidget-1.9.0##' Makefile.in
%{__sed} -i 's#soundcommand "play \\$sound"#soundcommand "aplay -q \\$sound"#' config.tcl
%{__sed} -i 's#set program_dir \[file dirname \[info script\]\]#set program_dir "%{_datadir}/amsn/"#' amsn amsn-remote amsn-remote-CLI

%build
%configure --enable-debug
make %{?_smp_mflags} V=1


%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}
mv ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/amsn ${RPM_BUILD_ROOT}/%{_bindir}/amsn 
mv ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/amsn-remote ${RPM_BUILD_ROOT}/%{_bindir}/amsn-remote
mv ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/amsn-remote-CLI ${RPM_BUILD_ROOT}/%{_bindir}/amsn-remote-CLI

rm -r ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/base64
rm -r ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/http
rm -r ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/log
rm -r ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/sha1
rm -r ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/snit
rm -r ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/uri
rm -r ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/docs
rm -r ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/{AGREEMENT,FAQ,GNUGPL,INSTALL,remote.help,TODO}
rm -r ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/lang/{*.*,LANG-HOWTO,sortlang}

mkdir -p ${RPM_BUILD_ROOT}/%{tcl_sitearch}
mv ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/linux/* ${RPM_BUILD_ROOT}/%{tcl_sitearch}/
mv ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/TkCximage ${RPM_BUILD_ROOT}/%{tcl_sitearch}/
mv ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/webcamsn ${RPM_BUILD_ROOT}/%{tcl_sitearch}/
mv ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/tcl_siren ${RPM_BUILD_ROOT}/%{tcl_sitearch}/
mv ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/tclISF ${RPM_BUILD_ROOT}/%{tcl_sitearch}/
mv ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/gupnp ${RPM_BUILD_ROOT}/%{tcl_sitearch}/
mv ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/farsight ${RPM_BUILD_ROOT}/%{tcl_sitearch}/
mv ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/asyncresolver ${RPM_BUILD_ROOT}/%{tcl_sitearch}/

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/icons/
mv ${RPM_BUILD_ROOT}%{_datadir}/amsn/desktop-icons/ ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/
rm ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png

chmod 755 ${RPM_BUILD_ROOT}%{_datadir}/%{name}/skins/Dark\ Matter\ 4.0/pixmapscroll/test.tcl
chmod 755 ${RPM_BUILD_ROOT}%{_datadir}/%{name}/utils/voipcontrols/test.tcl

desktop-file-install --vendor="fedora"                          \
        --dir="${RPM_BUILD_ROOT}%{_datadir}/applications"       \
        --delete-original                                       \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/amsn.desktop

%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc AGREEMENT CREDITS docs/ FAQ FAQ.html GNUGPL HELP INSTALL README remote.help TODO lang/LANG-HOWTO
%{_bindir}/amsn
%{_bindir}/amsn-remote
%{_bindir}/amsn-remote-CLI
%{_datadir}/%{name}/
%{_datadir}/applications/fedora-amsn.desktop
%{_datadir}/icons/hicolor/*/*/amsn.png
%{tcl_sitearch}/*
%exclude %{_datadir}/%{name}/plugins/*

%files plugins
%defattr(-,root,root,-)
%{_datadir}/%{name}/plugins/*

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%changelog
* Mon Jun 20 2011 Sander Hoentjen <sander@hoentjen.eu> 0.98.4-4
- use V4L2 (backport http://amsn.svn.sourceforge.net/viewvc/amsn?view=revision&revision=12315)

* Fri Jun 17 2011 Peter Robinson <pbrobinson@gmail.com> 0.98.4-3
- rebuild for new gupnp/gssdp

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 02 2011 Sander Hoentjen <sander@hoentjen.eu> - 0.98.4-1
- Update to bugfix release 0.98.4, this fixes reading OIM's
- drop upstream tktray patch

* Sun Aug 04 2010 Sander Hoentjen <sander@hoentjen.eu> - 0.98.3-2
- use tktray instead of libtray, since it has background transparency
- above should also fix bug #614973

* Sat Apr 24 2010 Sander Hoentjen <sander@hoentjen.eu> - 0.98.3-1
- update to 0.98.3
- check ssl connections (CVE-2010-0744)
- drop upstreamed patches

* Wed Dec 16 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.98.1-4
- Rebuild for new gupnp-igd.

* Sat Dec 05 2009 Sander Hoentjen <sander@hoentjen.eu> - 0.98.1-3
- add requires on tcl-snack, it is needed for voice-clip support
- since we need snack anyway, use it for all audio and drop requirement on alsa-utils

* Wed Nov 25 2009 Sander Hoentjen <sander@hoentjen.eu> - 0.98.1-2
- songbird plugin had a python exception when songbird
  was not installed (bug #539422)
- Do not own hicolor (bug #502575)

* Thu Nov 05 2009 Sander Hoentjen <sander@hoentjen.eu> - 0.98.1-1
- Update to new upstream
- drop patches that are now upstream
- voice support
- upnp support

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.97.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.97.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 17 2009 Sander Hoentjen <sander@hoentjen.eu> - 0.97.2-3
- now add a patch to really make it work

* Tue Feb 17 2009 Sander Hoentjen <sander@hoentjen.eu> - 0.97.2-2
- rebuild for TkCxImage to build against newer tcl/tk

* Mon Oct 27 2008 Sander Hoentjen <sander@hoentjen.eu> - 0.97.2-1
- Update to latest release

* Wed Oct 22 2008 Hans de Goede <hdegoede@redhat.com> - 0.97-4
- Patch the webcam part to use libv4l so that it will work with the new gspca
  driver in F-10

* Thu Feb 12 2008 Sander Hoentjen <sander@hoentjen.eu> - 0.97-3
- Rebuilt for gcc-4.3

* Thu Jan 03 2008 Sander Hoentjen <sander@hoentjen.eu> - 0.97-2
- update to build against tcl/tk 8.5

* Wed Dec 24 2007 Sander Hoentjen <sander@hoentjen.eu> - 0.97-1
- Update to 0.97

* Wed Nov 21 2007 Sander Hoentjen <sander@hoentjen.eu> - 0.96-11
- Fix undefined tcl_version

* Sun Nov 11 2007 Sander Hoentjen <sander@hoentjen.eu> - 0.96-10
- change htmlview to xdg-open (bug #365381)
- use alsa by default for playing sounds
- undo rev 8 and 9 changes until it is supported

* Thu Mar 31 2007 Sander Hoentjen <sander@hoentjen.eu> - 0.96-8
- require specific tcl major version (abi) which it is built on

* Thu Mar 8 2007 Sander Hoentjen <sander@hoentjen.eu> - 0.96-7
- Don't own tcl_sitearch

* Sun Mar 4 2007 Sander Hoentjen <sander@hoentjen.eu> - 0.96-6
- No versioned requires on tk anymore since it doesn't work with the epoch
- bump for rebuild against reverted 8.4
- added tcl macros from tcl guidelines draft
- moved private extensions to sitelib

* Fri Feb 2 2007 Sander Hoentjen <sander@hoentjen.eu> - 0.96-5
- Bump because i messed up tagging

* Fri Feb 2 2007 Sander Hoentjen <sander@hoentjen.eu> - 0.96-4
- updated requires to tcl/tk 8.5 since it will segfault with 8.4 if it is built against 8.5 and vice versa
- fixed previous changelog entry date

* Fri Feb 2 2007 Sander Hoentjen <sander@hoentjen.eu> - 0.96-3
- rebuilt against tcl/tk 8.5

* Thu Sep 4 2006 Sander Hoentjen <sander@hoentjen.eu> - 0.96-2
- webcam now works (bug #206674)

* Thu Sep 2 2006 Sander Hoentjen <sander@hoentjen.eu> - 0.96-1
- updated to 0.96 final
- drop nolocate and locallibs patch because they were accepted upstream
- changed URL because they moved the website

* Tue Aug 28 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.13.rc1
- Tag error, so bumping the release

* Tue Aug 28 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.12.rc1
- FC6 mass rebuild

* Tue Jun 20 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.11.rc1
- requires sox, htmlview and tkdnd now
- moved amsn, amsn-remote and amsn-remote-CLI to bindir
- removed extra " from amsn.desktop

* Mon Jun 19 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.10.rc1
- requires tk >= 8.4.13 because of bug #193853

* Mon Jun 19 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.9.rc1
- fixed lots of stuff pointed out in comment #25 on bug #185951

* Sat Jun 17 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.8.rc1
- updated to 0.96rc1

* Thu Jun 8 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.7.20060608svn
- updated to current 0.96 branch of svn
- use systemwide bwidget install

* Tue May 18 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.6.20060517svn
- TkCximage now uses system libs instead own included ( bugzilla #185951#c13 )

* Tue May 17 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.5.20060517svn
- update to current svn (upstream switched from cvs to svn)
- removed file permission fixes since they are fixed upstream
- removed BuildRequires: tcl-devel since that is required by tk-devel anyway
- require tclsoap and remove it from the amsn package
- require tcllib and remove all files from amsn that are packaged in tcllib

* Tue Apr 25 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.4.20060425cvs
- updated to new cvs snapshot
- added enable-debug to configure

* Mon Mar 27 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.3.20060327cvs
- split into amsn, amsn-plugins

* Mon Mar 27 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.2.20060327cvs
- linflash added upstream
- icon for desktop entry
- docfiles
- no locate needed during configure
- no explicit requires for tcl and tk

* Wed Mar 22 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.1.20060322cvs
- created
